- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TitleValidationDBSpec::UpdateUserKey_Data Class Reference

`#include <TitleValidationDBSpec.h>`

Inheritance diagram for TitleValidationDBSpec::UpdateUserKey_Data:

List of all members.

## Public Attributes
DatabaseKey | userKeyId
| [in/out] integer identifier of this key. If this is a new key and you do not yet have a userKeyId, set userKeyIsSet to false. Otherwise, this will overwrite the existing key.
bool | userKeyIsSet
| [in] True to overwrite an existing row specified by userKeyId. False to add a new row, and fill out userKeyId
DatabaseKey | titleId
| [in] Which title this key should be associated with
char * | keyPassword
| [in] Password to the key. Binary data.
int | keyPasswordLength
| [in] length of keyPassword
DatabaseKey | userId
| [in] Which user this key has been assigned to. You do not necessarily have to use this if your keys are not assigned to users.
RakNet::RakString | userIP
| [ip] IP address of the system this key was assigned to. (Optional)
int | numRegistrations
| [in] If you want to track the number of times a key has been registered, you can store it here. Useful to see if a key has been pirated
bool | invalidKey
| [in] If you want to mark a key as invalid, you can store it here.
RakNet::RakString | invalidKeyReason
| [in] Reason why a key was invalid.
char * | binaryData
| [in] Any other data you wish to store.
int | binaryDataLength
| [in] Length of binaryDataLength
long long | creationDate
| [out] Added automatically by the database on row entry. Parse with _localtime64()

## Detailed Description

User keys are a more general form of CD Keys This database can maintain records of what keys have been used, and additional data per-key if required

The documentation for this class was generated from the following files:

- C:/RakNet/DependentExtensions/Lobby/TitleValidationDBSpec.h
- C:/RakNet/DependentExtensions/Lobby/TitleValidationDBSpec.cpp